%define		debug_package %{nil}

Name:		webkit-sharp
Version:	0.2
Release:	1%{?dist}
Summary:	.NET bindings for WebKit
Group:		Development/Languages
License:	MIT
URL:		http://ftp.novell.com/pub/mono/sources/webkit-sharp/
Source0:	http://ftp.novell.com/pub/mono/sources/webkit-sharp/%{name}-%{version}.tar.bz2
Patch0:		webkit-sharp-libdir.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	WebKit-gtk-devel
BuildRequires:	mono-devel
BuildRequires:	gtk-sharp2-devel
BuildRequires:	gtk-sharp2-gapi
BuildRequires:	monodoc-devel

# Bug 241850 - no Mono on pp64
ExclusiveArch: %ix86 x86_64 ppc ia64 armv4l sparc alpha ppc

%description
WebKit-sharp is .NET bindings for the WebKit rendering engine.

%package devel
Summary:	Development files for WebKit-sharp
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig

%description devel
Development files for WebKit-sharp

%prep
%setup -q

# patch for libdir madness
%patch0 -p1 -b webkit-sharp-libdir.patch

%build
%configure
# parallel build fails in mock
make

%install
%{__rm} -rf %{buildroot}
make DESTDIR=%{buildroot} install

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING README
%{_libdir}/mono/

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/webkit-sharp-1.0.pc
%{_libdir}/monodoc/sources/webkit-sharp*

%changelog
* Sat Feb 21 2009 David Nielsen <gnomeuser@gmail.com> - 0.2-1
- Initial package
